---
title: List Address Maps
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Addressing](https://developers.cloudflare.com/api/python/resources/addressing)

[Address Maps](https://developers.cloudflare.com/api/python/resources/addressing/subresources/address_maps)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Address Maps

addressing.address\_maps.list(AddressMapListParams\*\*kwargs) -> SyncSinglePage\[[AddressMap](<https://developers.cloudflare.com/api/python/resources/addressing#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)>)]

GET/accounts/{account\_id}/addressing/address\_maps

List all address maps owned by the account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Address Maps Write``Address Maps Read`

##### ParametersExpand Collapse

account\_id: str

Identifier of a Cloudflare account.

maxLength32

[Link to this property](<#(resource)%20addressing.address_maps%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class AddressMap: …

</summary>

id: Optional\[str]

Identifier of an Address Map.

maxLength32

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

can\_delete: Optional\[bool]

If set to false, then the Address Map cannot be deleted via API. This is true for Cloudflare-managed maps.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)%20%3E%20(property)%20can_delete">Link to this property</a>

can\_modify\_ips: Optional\[bool]

If set to false, then the IPs on the Address Map cannot be modified via the API. This is true for Cloudflare-managed maps.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)%20%3E%20(property)%20can_modify_ips">Link to this property</a>

created\_at: Optional\[datetime]

formatdate-time

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

default\_sni: Optional\[str]

If you have legacy TLS clients which do not send the TLS server name indicator, then you can specify one default SNI on the map. If Cloudflare receives a TLS handshake from a client without an SNI, it will respond with the default SNI on those IPs. The default SNI can be any valid zone or subdomain owned by the account.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)%20%3E%20(property)%20default_sni">Link to this property</a>

description: Optional\[str]

An optional description field which may be used to describe the types of IPs or zones on the map.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

enabled: Optional\[bool]

Whether the Address Map is enabled or not. Cloudflare’s DNS will not respond with IP addresses on an Address Map until the map is enabled.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

modified\_at: Optional\[datetime]

formatdate-time

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)%20%3E%20(property)%20modified_at">Link to this property</a>

</details>

[Link to this property](<#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map%20%3E%20(schema)>)

### List Address Maps

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.addressing.address_maps.list(
    account_id="258def64c72dae45f3e4c8516e2111f2",
)
page = page.result[0]
print(page.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "055817b111884e0227e1be16a0be6ee0",
      "can_delete": true,
      "can_modify_ips": true,
      "created_at": "2014-01-01T05:20:00.12345Z",
      "default_sni": "*.example.com",
      "description": "My Ecommerce zones",
      "enabled": true,
      "modified_at": "2014-01-01T05:20:00.12345Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "055817b111884e0227e1be16a0be6ee0",
      "can_delete": true,
      "can_modify_ips": true,
      "created_at": "2014-01-01T05:20:00.12345Z",
      "default_sni": "*.example.com",
      "description": "My Ecommerce zones",
      "enabled": true,
      "modified_at": "2014-01-01T05:20:00.12345Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```